.eseg

.org    0

; The first byte is not used, as according to the errata it could be corrupted in certain cases
.db     0x00
; Input enabled by default
rom_input_status:
.db     'R'
; Output enabled by default
rom_output_status:
.db     'T'
; Multiplexer disabled by default
rom_mux_status:
.db     'e'
; Merge is disabled by default
rom_merge_status:
.db     'x'
; Default break time is 88 microseconds
rom_break_time:
.db     256 - default_break_time + 2
; Default mab time is 8 microseconds
rom_mab_time:
.db     default_mab_time - 1
; Default output count (255 channels excluding start code)
rom_output_count:
.db     255
; Default start address of channels that are multiplexed from the secondary parallel connector is 0
rom_mux_address:
.db     0
; Default start code to listen for on DMX input is 0
rom_input_startcode:
.db     0
; The wildcard for the start code to listen for on DMX input is disabled by default
rom_input_wildcard:
.db     '#'
; The multiplexer is not inverted by default
rom_mux_invert:
.db     'n'
rom_mass_output_min_h:
.db     high(output_min + 1)
rom_mass_output_min_l:
.db     low(output_min + 1)
rom_mass_output_max_h:
.db     high(output_max + 1)
rom_mass_output_max_l:
.db     low(output_max + 1)

; Fill up unused EEPROM bytes with zeroes (up to address 99)
.db     0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0
.db     0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0
.db     0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0
.db     0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0
.db     0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0
.db     0, 0, 0, 0

; Initialize the 256 DMX output channel values to 0 (address 100 up to 355)
rom_channels:
.db     0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0
.db     0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0
.db     0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0
.db     0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0
.db     0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0
.db     0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0
.db     0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0
.db     0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0
.db     0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0
.db     0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0
.db     0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0
.db     0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0
.db     0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0
.db     0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0
.db     0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0
.db     0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0

; Fill up unused EEPROM bytes with zeroes (address 356 up to 511)

.db     0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0
.db     0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0
.db     0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0
.db     0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0
.db     0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0
.db     0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0
.db     0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0
.db     0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0
.db     0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0
.db     0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0
